/** ******************************************
 * This file contains some general macros and definitions.
 *
 * It should be included in each source and/or header file.
 */

#ifndef MACROS_H_
#define MACROS_H_

#undef FALSE
#define FALSE 0
#undef TRUE
#define TRUE 1

#undef false
#define false FALSE
#undef true
#define true TRUE

#undef NULL
#define NULL 0


#ifndef __BOARD__
#error No board selected! __BOARD__ has to be defined!
#endif

#ifndef __ARCH__
#error No architecture selected! __ARCH__ has to be defined!
#endif

#define dir3(a,b,c) a/b/c
#define INC_BOARD(X) dir3(<boards, __BOARD__, X)>
#define INC_ARCH(X) dir3(<arch, __ARCH__, X)>

#endif /*MACROS_H_*/
