#ifndef UTIL_CRC_H
#define UTIL_CRC_H

/** @brief calculates crc16 over an array
 *
 * TODO: which polynom???
 *
 * @param pdata pointer to data array
 * @param datalength length of data
 * @param crc pointer to two byte array where the calculated crc will be written to
 */
void utilCalcCRC16( uint8_t *pdata, uint8_t datalength, uint8_t *crc );

/** @brief calculates crc16 bytewise
 *
 * @param databyte next byte
 * @param crc pointer to two byte array where the calculated crc will be written to
 *        this must be initialized to 0 before the first call to utilCalcCRC16Byte
 */
void utilCalcCRC16Byte( uint8_t databyte, uint8_t *crc );

#endif /*UTIL_CRC_H*/
