#ifndef BOARDS_CPART148_BOARD_C_
#define BOARDS_CPART148_BOARD_C_

#include <boards/cpart148/board.h>

void BoardInit()
{
	phalChipInit( 0 );
	RFInit( &RF_SETTINGS869a, 1 );

	phalSetPortBitDir( TRIS_LED_RED, 0 );
	SET_LED( RED, 0 );

	phalSetPortBitDir( TRIS_LED_BLUE, 0 );
	SET_LED( BLUE, 0 );
}

void BoardGetID(uint8_t *id)
{
	uint8_t i;
	for( i = 0; i < BOARD_ID_LENGTH; ++i)
		id[i] = 1;
}

#endif /*BOARDS_CPART148_BOARD_C_*/
