#ifndef BOARDS_CPART148_RTC_C
#define BOARDS_CPART148_RTC_C

#include <boards/cpart148/rtc.h>

xdata uint8_t rtc_running = 0;

void RTCInit( void )
{
	rtc_running = 0;
}

void RTCStart( void )
{
	if( rtc_running == 0 )
	{
		RTstart();
		rtc_running = 1;
	}
}

void RTCStop( void )
{
	if( rtc_running == 1 )
	{
		RTstop();
		rtc_running = 0;
	}		
}

uint32_t RTCGetTime( void )
{
	return getTime();
}

void RTCSetTime( uint32_t newtime )
{
	setTime( newtime );
}

#endif /*BOARDS_CPART148_RTC_C*/
