################################################################################
# object files
################################################################################

RELS := \
arch/$(ARCH)/cc1010.rel \
arch/$(ARCH)/phalCriticalSection.rel \
arch/$(ARCH)/phalDelay.rel \
arch/$(ARCH)/phalSetPortBitDir.rel \
arch/$(ARCH)/rf.rel \
boards/$(BOARD)/cpart148.rel \
boards/$(BOARD)/rtc.rel \
net/acl.rel \
util/crc.rel \
util/timeout.rel \
util/debug.rel \
net/newstack/sendbuffer.rel \
net/newstack/receivebuffer.rel 

CHIPCON_REL_DIR := $(ROOT)/third-party/chipcon/LIB/Chipcon
EXT_RELS := \
${addprefix $(CHIPCON_REL_DIR)/, \
Hal/uarts.rel \
Hal/RFSetRxTxOff.rel \
Hal/Wait.rel \
Hal/RFcalib.rel \
Hal/ConfigADC.rel \
Hal/ConfigRealtimeClock.rel \
Hal/ConfigTimer01.rel \
Hal/ConfigTimer23.rel \
Cul/fhp/RealTime.rel \
Cul/fhp/Definitions.rel \
Hal/GetPort.rel \
}

USER_OBJS :=

CLEAN_DIRS := \
arch \
boards \
net \
util

