/**
 * Basic includes dependent on compiler.
 * This file should be included before any other file on each build.
 */
#ifndef COMPILER_H_
#define COMPILER_H_

/**
 * define external storage class
 */
#define XRAM

/**
 * special keyword to mark critical function
 */
#define CRITICALFUNCTION

/**
 * special keyword to mark reentrant function
 */
#define REENTRANTFUNCTION


#ifdef SDCC
#include <compiler/sdcc.h>
#endif

#ifdef CCSC
#include <compiler/ccsc.h>
#endif

#ifdef __18CXX
#include <compiler/mc18.h>
#endif

#endif /*COMPILER_H_*/
