#ifndef ARCH_CC1010_PHALSETPORTBITDIR_C_
#define ARCH_CC1010_PHALSETPORTBITDIR_C_

#include <arch/cc1010/phal.h>

void phalSetPortBitDir(uint8_t portNum, uint8_t bitNum, uint8_t direction)
{
    uint8_t mask = ( 1 << bitNum );

    if (direction) {
        switch (portNum) {
            case 0: P0DIR|=mask; break;
            case 1: P1DIR|=mask; break;
            case 2: P2DIR|=mask; break;
            case 3: P3DIR|=mask; break;
            default: 	break;
        }
    } else {
        switch (portNum) {
            case 0: P0DIR&=~mask; break;
            case 1: P1DIR&=~mask; break;
            case 2: P2DIR&=~mask; break;
            case 3: P3DIR&=~mask; break;
            default: 	break;
        }
    }
}

#endif /*ARCH_CC1010_PHALSETPORTBITDIR_C_*/

