#include "sendbuffer.h"

void boot( void )
{
	SET_LED( RED, LED_ON );
	SET_LED( BLUE, LED_ON );
	phalDelayMs( 500 );
	SET_LED( RED, LED_OFF );
	SET_LED( BLUE, LED_OFF );
}

void main( void )
{
	uint8_t test;
	uint8_t successful = 0;

	/* init board */	
	BoardInit();
	phalGlobalInterruptDisable();

	boot();

	SET_LED( RED, LED_ON );
	SET_LED( BLUE, LED_OFF );

	test = sendAllocate();

	if( test != 255 )
		successful = 1;

	SET_LED( RED, LED_OFF );

	if( successful != 0 )
	{
		SET_LED( BLUE, LED_ON );
	}

	while( TRUE )
	{
	}
}
